OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000973OMNeT++Installer / Productizingpublic2016-11-27 13:542017-02-06 10:17
Reportervaleriot90 
Assigned Torhornig 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacOSOS10.12.1OS VersionSierra
Product Version5.0 
Target VersionFixed in Version5.1pre3 
Summary0000973: Omnetpp does not start on macOS Sierra
DescriptionAfter configure and make, omnetpp does not start. With terminal, if I try to execute ./omnetpp (in /bin directory) the output is:
Starting the OMNeT++ IDE...

If I try with double click on the bin the terminal's output is:
Starting the OMNeT++ IDE...
logout
Saving sessione...
...copying shared history...
...saving history...truncating history files..
...completed.
Deleting expired sessione... 52 completed.

[Process completed]

a pop-up of Sierra report an error:
omnetpp quit unexpectedly

I have allow the program in Gatekeep.
Steps To ReproduceAlways I try to open the program (execute the omnetpp bin).
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000976resolvedrhornig Omnetpp does not start on macOS Sierra 
has duplicate 0000974resolvedrhornig Omnetpp does not start on macOS Sierra 
has duplicate 0000972resolvedrhornig Omnetpp does not start on macOS Sierra 
has duplicate 0000971resolvedrhornig Omnetpp does not start 

-  Notes
(0001236)
valeriot90 (reporter)
2016-12-21 14:44

You must execute ./omnetpp in this folder:
../omnetpp-5.0/ide/omnetpp.app/Contents/MacOS
(0001237)
valeriot90 (reporter)
2016-12-21 14:55

Add environment path:

nano ~/.bashrc
and add:
export PATH=PATH:$HOME/omnetpp-5.0/bin

open the file "omnetpp" in /omnetpp-5.0/bin

and set:

IDEDIR=`dirname $0`/../ide/omnetpp.app/Contents/MacOS/

and replace

#if test ! -d $IDEDIR/configuration; then
if test ! -d `dirname $0` /../ide
  echo "The IDE is not yet configured. Please run the 'configure' script in the installation root folder!"
  exit 1;
fi

from root of omnetpp installation launch
./configure

Close and reopen the terminal and enjoy!
(0001238)
rhornig (administrator)
2016-12-22 11:56

There are two issues at play here:
- The bundled is downloaded from the internet and sierra moves the whole IDE into a random location (Translocation) and starts it there.
- The omnetpp.app is not signed so you must play around with gatekeeper to enable it (manually).

Both issues were worked around in omnet++ 5.1 preview 2

- The downloaded flag will be removed by the start script automatically
- The app will be started directly instead of starting the app bundle (as suggested in the comment).

Preview 2 will be released soon, so please test it.

- Issue History
Date Modified Username Field Change
2016-11-27 13:54 valeriot90 New Issue
2016-12-21 14:44 valeriot90 Note Added: 0001236
2016-12-21 14:55 valeriot90 Note Added: 0001237
2016-12-22 11:56 rhornig Note Added: 0001238
2016-12-22 11:56 rhornig Status new => resolved
2016-12-22 11:56 rhornig Fixed in Version => 5.1
2016-12-22 11:56 rhornig Resolution open => fixed
2016-12-22 11:56 rhornig Assigned To => rhornig
2016-12-22 11:59 rhornig Relationship added has duplicate 0000976
2016-12-22 12:01 rhornig Relationship added has duplicate 0000975
2016-12-22 12:02 rhornig Relationship added has duplicate 0000974
2016-12-22 12:02 rhornig Relationship added has duplicate 0000972
2016-12-22 12:02 rhornig Relationship added has duplicate 0000971
2017-02-06 10:17 rhornig Fixed in Version 5.1 => 5.1pre3


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker